## cascading.tuple.hadoop
Class BytesSerialization.RawBytesDeserializer

    java.lang.Object
      cascading.tuple.hadoop.BytesSerialization.RawBytesDeserializer

All Implemented Interfaces:
  Deserializer<byte[]>

Enclosing class:
  BytesSerialization

    public static class BytesSerialization.RawBytesDeserializer

extends Object
implements Deserializer<byte[]>

Constructor Summary
`BytesSerialization.RawBytesDeserializer()`

Method Summary
`void` `close()`
`byte[]` `deserialize(byte[] testText)`
`void` `open(InputStream in)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BytesSerialization.RawBytesDeserializer

    public BytesSerialization.RawBytesDeserializer()

Method Detail

### open

    public void open(InputStream in)
              throws IOException

  Specified by:
    `open` in interface `Deserializer<byte[]>`
  Throws:
    `IOException`

### deserialize

    public byte[] deserialize(byte[] testText)
                       throws IOException

  Specified by:
    `deserialize` in interface `Deserializer<byte[]>`
  Throws:
    `IOException`

### close

    public void close()
               throws IOException

  Specified by:
    `close` in interface `Deserializer<byte[]>`
  Throws:
    `IOException`

Copyright © 2007-2010 Concurrent, Inc. All Rights Reserved.